//---------------------------------------------------------------------------------*/
#include <nds.h>
#include <maxmod9.h>
#include <stdio.h>

#include "soundbank.h"
#include "soundbank_bin.h"

//---------------------------------------------------------------------------------
int main(void) {
//---------------------------------------------------------------------------------
	
	consoleDemoInit();
	mmInitDefaultMem((mm_addr)soundbank_bin);
	mmLoad( MOD_LOOP );
	int number = 24;
	int keys_pressed, keys_released;
	int state = 0;
	int reloading;
	while (1) {
		swiWaitForVBlank();
		iprintf("\x1b[2J");
		iprintf("How many layers?\n\n");
		iprintf("%i", number);
		scanKeys();
		keys_pressed = keysDown();
		keys_released = keysUp();
		if (keys_pressed & KEY_A)
               {                                       
				break;
               }
		if (keys_pressed & KEY_RIGHT) number++;
		if (keys_pressed & KEY_LEFT) number--;
	}
	mmStart( MOD_LOOP, MM_PLAY_LOOP );
	while (1) {
		swiWaitForVBlank();
		iprintf("\x1b[2J");
		iprintf("Layers Remaining: %i", number);
		reloading = 0;
		if (number == 1 && state == 1) {
			iprintf("\x1b[2J");
			iprintf("Layers Remaining: 0");
			iprintf("\n\nFINISHED!");
			mmStop();
			while(1) {
				scanKeys();
				keys_pressed = keysDown();
				keys_released = keysUp();
				if (keys_pressed & KEY_SELECT) exit(0);
			}
		}
		while(1) {
			scanKeys();
			keys_pressed = keysDown();
			keys_released = keysUp();
			if (keys_pressed & KEY_A & reloading == 0)
                {
					if (state == 0) {
						mmPause();
						state = 1;
						reloading = 1;
					}
					else {
						mmResume();
						state = 0;
						number--;
						reloading = 1;
					}
                }
			if (keys_pressed) break;
		}
	}

	return 0;

}

